## org.eclipse.emf.ecore.xmi.impl
Class XMLSaveImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

All Implemented Interfaces:
  XMLSave

Direct Known Subclasses:
  XMISaveImpl

    public class XMLSaveImpl

extends java.lang.Object
implements XMLSave

This implements the XML serializer, possibly using an XMLMap if one is provided as a save option.

Nested Class Summary
`protected static class` `XMLSaveImpl.Escape`
`protected static class` `XMLSaveImpl.Lookup`
`protected class` `XMLSaveImpl.XMLTypeInfoImpl` Forces type information (xsi:type/xmi:type) to be serialized for references in cases where the object's type is different from the feature's type.

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLSave
`XMLSave.XMLTypeInfo`

Field Summary
`protected EClass` `anySimpleType`
`protected EClass` `anyType`
`protected static int` `ATTRIBUTE_FEATURE_MAP`
`protected static int` `CONTENT_ELEMENT`
`protected static int` `CROSS_DOC`
`protected org.w3c.dom.Node` `currentNode`
`protected static int` `DATATYPE_ATTRIBUTE_MANY`
`protected static int` `DATATYPE_CONTENT_SINGLE`
`protected static int` `DATATYPE_ELEMENT_SINGLE`
`protected static int` `DATATYPE_MANY`
`protected static int` `DATATYPE_SINGLE`
`protected static int` `DATATYPE_SINGLE_NILLABLE`
`protected boolean` `declareSchemaLocation`
`protected boolean` `declareSchemaLocationImplementation`
`protected boolean` `declareXML`
`protected boolean` `declareXSI`
`protected XMLString` `doc`
`protected org.w3c.dom.Document` `document`
`protected static int` `ELEMENT_FEATURE_MAP`
`protected XMLResource.ElementHandler` `elementHandler`
`protected static int` `EMPTY_ELEMENT`
`protected java.lang.String` `encoding`
`protected java.util.Map<EObject,AnyType>` `eObjectToExtensionMap`
`protected XMLSaveImpl.Escape` `escape`
`protected XMLSaveImpl.Escape` `escapeURI`
`protected ExtendedMetaData` `extendedMetaData`
`protected XMLSaveImpl.Lookup` `featureTable`
`protected int` `flushThreshold`
`protected DOMHandler` `handler`
`protected XMLHelper` `helper`
`protected java.lang.String` `idAttributeName`
`protected java.lang.String` `idAttributeNS`
`protected static int` `INDEX_LOOKUP`
`protected boolean` `keepDefaults`
`protected XMLResource.XMLMap` `map`
`protected NameInfo` `nameInfo`
`protected static int` `OBJECT_ATTRIBUTE_IDREF_MANY`
`protected static int` `OBJECT_ATTRIBUTE_IDREF_SINGLE`
`protected static int` `OBJECT_ATTRIBUTE_MANY`
`protected static int` `OBJECT_ATTRIBUTE_SINGLE`
`protected static int` `OBJECT_CONTAIN_MANY`
`protected static int` `OBJECT_CONTAIN_MANY_UNSETTABLE`
`protected static int` `OBJECT_CONTAIN_SINGLE`
`protected static int` `OBJECT_CONTAIN_SINGLE_UNSETTABLE`
`protected static int` `OBJECT_ELEMENT_IDREF_MANY`
`protected static int` `OBJECT_ELEMENT_IDREF_SINGLE`
`protected static int` `OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE`
`protected static int` `OBJECT_ELEMENT_MANY`
`protected static int` `OBJECT_ELEMENT_SINGLE`
`protected static int` `OBJECT_ELEMENT_SINGLE_UNSETTABLE`
`protected static int` `OBJECT_HREF_MANY`
`protected static int` `OBJECT_HREF_MANY_UNSETTABLE`
`protected static int` `OBJECT_HREF_SINGLE`
`protected static int` `OBJECT_HREF_SINGLE_UNSETTABLE`
`protected java.lang.String` `processDanglingHREF`
`protected XMLResource.ResourceEntityHandler` `resourceEntityHandler`
`protected EObject` `root`
`protected java.util.List<? extends EObject>` `roots`
`protected static int` `SAME_DOC`
`protected boolean` `saveTypeInfo`
`protected static int` `SKIP`
`protected boolean` `toDOM`
`protected static int` `TRANSIENT`
`protected boolean` `useCache`
`protected boolean` `useEncodedAttributeStyle`
`protected static java.lang.String` `XML_VERSION`
`protected XMLResource` `xmlResource`
`protected EPackage` `xmlSchemaTypePackage`
`protected XMLSave.XMLTypeInfo` `xmlTypeInfo`
`protected java.lang.String` `xmlVersion`
`protected static java.lang.String` `XSI_NIL`
`protected static java.lang.String` `XSI_NO_NAMESPACE_SCHEMA_LOCATION`
`protected static java.lang.String` `XSI_SCHEMA_LOCATION`
`protected static java.lang.String` `XSI_TYPE_NS`
`protected static java.lang.String` `XSI_XMLNS`

Constructor Summary
`XMLSaveImpl(java.util.Map<?,?> options, XMLHelper helper, java.lang.String encoding)` Constructor for XMLSave.
`XMLSaveImpl(java.util.Map<?,?> options, XMLHelper helper, java.lang.String encoding, java.lang.String xmlVersion)`
`XMLSaveImpl(XMLHelper helper)`

Method Summary
`protected void` `addDoctypeInformation()`
`protected void` `addNamespaceDeclarations()`
`protected java.lang.String` `convertURI(java.lang.String uri)`
`protected void` `endSave(java.util.List<? extends EObject> contents)`
`protected void` `endSaveFeatures(EObject o, int elementType, java.lang.String content)`
`protected java.lang.String` `getContent(EObject o, EStructuralFeature[] features)`
`protected java.lang.String` `getDataTypeElementSingleSimple(EObject o, EStructuralFeature f)`
`protected java.lang.String` `getDatatypeValue(java.lang.Object value, EStructuralFeature f, boolean isAttribute)`
`protected java.lang.String` `getElementIDRefManySimple(EObject o, EStructuralFeature f)`
`protected java.lang.String` `getElementIDRefSingleSimple(EObject o, EStructuralFeature f)`
`protected java.lang.String` `getElementReferenceManySimple(EObject o, EStructuralFeature f)`
`protected java.lang.String` `getElementReferenceSingleSimple(EObject o, EStructuralFeature f)`
`protected EObject` `getSchemaLocationRoot(EObject eObject)`
`protected void` `init(XMLResource resource, java.util.Map<?,?> options)`
`boolean` `isDuplicateURI(java.lang.String nsURI)`
`protected boolean` `isEmpty(EObject o, EStructuralFeature f)`
`protected boolean` `isNil(EObject o, EStructuralFeature f)`
`protected void` `processAttributeExtensions(EObject object)`
`protected boolean` `processElementExtensions(EObject object)` Returns true if there were extensions for the specified object.
`protected int` `sameDocMany(EObject o, EStructuralFeature f)`
`protected int` `sameDocSingle(EObject o, EStructuralFeature f)`
`org.w3c.dom.Document` `save(XMLResource resource, org.w3c.dom.Document doc, java.util.Map<?,?> options, DOMHandler handler)`
`void` `save(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)`
`void` `save(XMLResource resource, java.io.Writer writer, java.util.Map<?,?> options)` Saves the resource to the writer using the specified options.
`protected void` `saveAttributeFeatureMap(EObject o, EStructuralFeature f)`
`protected void` `saveContainedMany(EObject o, EStructuralFeature f)`
`protected void` `saveContainedSingle(EObject o, EStructuralFeature f)`
`protected void` `saveDataTypeAttributeMany(EObject o, EStructuralFeature f)`
`protected void` `saveDataTypeElementSingle(EObject o, EStructuralFeature f)`
`protected void` `saveDataTypeMany(EObject o, EStructuralFeature f)`
`protected void` `saveDataTypeSingle(EObject o, EStructuralFeature f)`
`protected void` `saveElement(EObject o, EStructuralFeature f)`
`protected void` `saveElement(EObject o, java.lang.Object value, EStructuralFeature f)`
`protected void` `saveElement(InternalEObject o, EStructuralFeature f)`
`protected boolean` `saveElementFeatureMap(EObject o, EStructuralFeature f)`
`protected void` `saveElementID(EObject o)`
`protected void` `saveElementIDRef(EObject o, EObject target, EStructuralFeature f)`
`protected void` `saveElementIDRef(EObject target, EStructuralFeature f)`
`protected void` `saveElementIDRefMany(EObject o, EStructuralFeature f)`
`protected void` `saveElementIDRefSingle(EObject o, EStructuralFeature f)`
`protected void` `saveElementReference(EObject remote, EStructuralFeature f)`
`protected void` `saveElementReferenceMany(EObject o, EStructuralFeature f)`
`protected void` `saveElementReferenceSingle(EObject o, EStructuralFeature f)`
`protected void` `saveEObjectMany(EObject o, EStructuralFeature f)`
`protected void` `saveEObjectSingle(EObject o, EStructuralFeature f)`
`protected void` `saveFeatureMapElementReference(EObject o, EReference f)`
`protected boolean` `saveFeatures(EObject o)`
`protected void` `saveHref(EObject remote, EStructuralFeature f)`
`protected void` `saveHRefMany(EObject o, EStructuralFeature f)`
`protected void` `saveHRefSingle(EObject o, EStructuralFeature f)`
`protected void` `saveIDRefMany(EObject o, EStructuralFeature f)`
`protected void` `saveIDRefSingle(EObject o, EStructuralFeature f)`
`protected void` `saveManyEmpty(EObject o, EStructuralFeature f)`
`protected void` `saveManyEmpty(EStructuralFeature f)`
`protected void` `saveNil(EObject o, EStructuralFeature f)`
`protected void` `saveNil(EStructuralFeature f)`
`protected void` `saveTypeAttribute(EClass eClass)`
`protected void` `saveTypeAttribute(EDataType eDataType)`
`protected boolean` `shouldSaveFeature(EObject o, EStructuralFeature f)`
`char[]` `toChar()`
`void` `traverse(java.util.List<? extends EObject> contents)`
`void` `write(java.io.OutputStreamWriter os)` Deprecated. since 2.2 - instead use #write(Writer)
`void` `write(java.io.Writer os)`
`void` `writeAscii(java.io.OutputStream os)`
`protected void` `writeTopAttributes(EObject top)`
`protected boolean` `writeTopElements(EObject top)`
`protected java.lang.Object` `writeTopObject(EObject top)`
`protected java.lang.Object` `writeTopObjects(java.util.List<? extends EObject> contents)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX_LOOKUP

    protected static final int INDEX_LOOKUP

See Also:
  Constant Field Values

### helper

    protected XMLHelper helper

### doc

    protected XMLString doc

### declareXSI

    protected boolean declareXSI

### useEncodedAttributeStyle

    protected boolean useEncodedAttributeStyle

### declareXML

    protected boolean declareXML

### saveTypeInfo

    protected boolean saveTypeInfo

### xmlTypeInfo

    protected XMLSave.XMLTypeInfo xmlTypeInfo

### keepDefaults

    protected boolean keepDefaults

### escape

    protected XMLSaveImpl.Escape escape

### escapeURI

    protected XMLSaveImpl.Escape escapeURI

### resourceEntityHandler

    protected XMLResource.ResourceEntityHandler resourceEntityHandler

### featureTable

    protected XMLSaveImpl.Lookup featureTable

### encoding

    protected java.lang.String encoding

### xmlVersion

    protected java.lang.String xmlVersion

### idAttributeName

    protected java.lang.String idAttributeName

### idAttributeNS

    protected java.lang.String idAttributeNS

### processDanglingHREF

    protected java.lang.String processDanglingHREF

### declareSchemaLocation

    protected boolean declareSchemaLocation

### declareSchemaLocationImplementation

    protected boolean declareSchemaLocationImplementation

### map

    protected XMLResource.XMLMap map

### extendedMetaData

    protected ExtendedMetaData extendedMetaData

### anySimpleType

    protected EClass anySimpleType

### anyType

    protected EClass anyType

### eObjectToExtensionMap

    protected java.util.Map<EObject,AnyType> eObjectToExtensionMap

### xmlSchemaTypePackage

    protected EPackage xmlSchemaTypePackage

### flushThreshold

    protected int flushThreshold

### toDOM

    protected boolean toDOM

### handler

    protected DOMHandler handler

### document

    protected org.w3c.dom.Document document

### currentNode

    protected org.w3c.dom.Node currentNode

### nameInfo

    protected NameInfo nameInfo

### useCache

    protected boolean useCache

### root

    protected EObject root

### xmlResource

    protected XMLResource xmlResource

### roots

    protected java.util.List<? extends EObject> roots

### elementHandler

    protected XMLResource.ElementHandler elementHandler

### SKIP

    protected static final int SKIP

See Also:
  Constant Field Values

### SAME_DOC

    protected static final int SAME_DOC

See Also:
  Constant Field Values

### CROSS_DOC

    protected static final int CROSS_DOC

See Also:
  Constant Field Values

### TRANSIENT

    protected static final int TRANSIENT

See Also:
  Constant Field Values

### DATATYPE_SINGLE

    protected static final int DATATYPE_SINGLE

See Also:
  Constant Field Values

### DATATYPE_ELEMENT_SINGLE

    protected static final int DATATYPE_ELEMENT_SINGLE

See Also:
  Constant Field Values

### DATATYPE_CONTENT_SINGLE

    protected static final int DATATYPE_CONTENT_SINGLE

See Also:
  Constant Field Values

### DATATYPE_SINGLE_NILLABLE

    protected static final int DATATYPE_SINGLE_NILLABLE

See Also:
  Constant Field Values

### DATATYPE_MANY

    protected static final int DATATYPE_MANY

See Also:
  Constant Field Values

### OBJECT_CONTAIN_SINGLE

    protected static final int OBJECT_CONTAIN_SINGLE

See Also:
  Constant Field Values

### OBJECT_CONTAIN_MANY

    protected static final int OBJECT_CONTAIN_MANY

See Also:
  Constant Field Values

### OBJECT_HREF_SINGLE

    protected static final int OBJECT_HREF_SINGLE

See Also:
  Constant Field Values

### OBJECT_HREF_MANY

    protected static final int OBJECT_HREF_MANY

See Also:
  Constant Field Values

### OBJECT_CONTAIN_SINGLE_UNSETTABLE

    protected static final int OBJECT_CONTAIN_SINGLE_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_CONTAIN_MANY_UNSETTABLE

    protected static final int OBJECT_CONTAIN_MANY_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_HREF_SINGLE_UNSETTABLE

    protected static final int OBJECT_HREF_SINGLE_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_HREF_MANY_UNSETTABLE

    protected static final int OBJECT_HREF_MANY_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_ELEMENT_SINGLE

    protected static final int OBJECT_ELEMENT_SINGLE

See Also:
  Constant Field Values

### OBJECT_ELEMENT_SINGLE_UNSETTABLE

    protected static final int OBJECT_ELEMENT_SINGLE_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_ELEMENT_MANY

    protected static final int OBJECT_ELEMENT_MANY

See Also:
  Constant Field Values

### OBJECT_ELEMENT_IDREF_SINGLE

    protected static final int OBJECT_ELEMENT_IDREF_SINGLE

See Also:
  Constant Field Values

### OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE

    protected static final int OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE

See Also:
  Constant Field Values

### OBJECT_ELEMENT_IDREF_MANY

    protected static final int OBJECT_ELEMENT_IDREF_MANY

See Also:
  Constant Field Values

### ATTRIBUTE_FEATURE_MAP

    protected static final int ATTRIBUTE_FEATURE_MAP

See Also:
  Constant Field Values

### ELEMENT_FEATURE_MAP

    protected static final int ELEMENT_FEATURE_MAP

See Also:
  Constant Field Values

### OBJECT_ATTRIBUTE_SINGLE

    protected static final int OBJECT_ATTRIBUTE_SINGLE

See Also:
  Constant Field Values

### OBJECT_ATTRIBUTE_MANY

    protected static final int OBJECT_ATTRIBUTE_MANY

See Also:
  Constant Field Values

### OBJECT_ATTRIBUTE_IDREF_SINGLE

    protected static final int OBJECT_ATTRIBUTE_IDREF_SINGLE

See Also:
  Constant Field Values

### OBJECT_ATTRIBUTE_IDREF_MANY

    protected static final int OBJECT_ATTRIBUTE_IDREF_MANY

See Also:
  Constant Field Values

### DATATYPE_ATTRIBUTE_MANY

    protected static final int DATATYPE_ATTRIBUTE_MANY

See Also:
  Constant Field Values

### XML_VERSION

    protected static final java.lang.String XML_VERSION

See Also:
  Constant Field Values

### XSI_NIL

    protected static final java.lang.String XSI_NIL

See Also:
  Constant Field Values

### XSI_TYPE_NS

    protected static final java.lang.String XSI_TYPE_NS

See Also:
  Constant Field Values

### XSI_XMLNS

    protected static final java.lang.String XSI_XMLNS

See Also:
  Constant Field Values

### XSI_SCHEMA_LOCATION

    protected static final java.lang.String XSI_SCHEMA_LOCATION

See Also:
  Constant Field Values

### XSI_NO_NAMESPACE_SCHEMA_LOCATION

    protected static final java.lang.String XSI_NO_NAMESPACE_SCHEMA_LOCATION

See Also:
  Constant Field Values

### EMPTY_ELEMENT

    protected static final int EMPTY_ELEMENT

See Also:
  Constant Field Values

### CONTENT_ELEMENT

    protected static final int CONTENT_ELEMENT

See Also:
  Constant Field Values

Constructor Detail

### XMLSaveImpl

    public XMLSaveImpl(XMLHelper helper)

### XMLSaveImpl

    public XMLSaveImpl(java.util.Map<?,?> options,
                       XMLHelper helper,
                       java.lang.String encoding)

  Constructor for XMLSave.

  Parameters:
    `options` -
    `helper` -
    `encoding` -

### XMLSaveImpl

    public XMLSaveImpl(java.util.Map<?,?> options,
                       XMLHelper helper,
                       java.lang.String encoding,
                       java.lang.String xmlVersion)

Method Detail

### save

    public org.w3c.dom.Document save(XMLResource resource,
                                     org.w3c.dom.Document doc,
                                     java.util.Map<?,?> options,
                                     DOMHandler handler)

  Specified by:
    `save` in interface `XMLSave`
  Parameters:
    `resource` - a resource
    `doc` - a `Document` (must not be null)
    `options` - options
    `handler` - a `DOMHandler` (must not be null)
  Returns:
    the document

### save

    public void save(XMLResource resource,
                     java.io.Writer writer,
                     java.util.Map<?,?> options)
              throws java.io.IOException

  Description copied from interface: `XMLSave`
  Saves the resource to the writer using the specified options.

  Specified by:
    `save` in interface `XMLSave`
  Throws:
    `java.io.IOException`

### save

    public void save(XMLResource resource,
                     java.io.OutputStream outputStream,
                     java.util.Map<?,?> options)
              throws java.io.IOException

  Specified by:
    `save` in interface `XMLSave`
  Throws:
    `java.io.IOException`

### endSave

    protected void endSave(java.util.List<? extends EObject> contents)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### init

    protected void init(XMLResource resource,
                        java.util.Map<?,?> options)

### traverse

    public void traverse(java.util.List<? extends EObject> contents)

### writeTopAttributes

    protected void writeTopAttributes(EObject top)

### writeTopElements

    protected boolean writeTopElements(EObject top)

### writeTopObject

    protected java.lang.Object writeTopObject(EObject top)

### writeTopObjects

    protected java.lang.Object writeTopObjects(java.util.List<? extends EObject> contents)

### addNamespaceDeclarations

    protected void addNamespaceDeclarations()

### addDoctypeInformation

    protected void addDoctypeInformation()

### getSchemaLocationRoot

    protected EObject getSchemaLocationRoot(EObject eObject)

### isDuplicateURI

    public boolean isDuplicateURI(java.lang.String nsURI)

### write

    @Deprecated
    public void write(java.io.OutputStreamWriter os)
               throws java.io.IOException

  Deprecated. since 2.2 - instead use #write(Writer)

  Parameters:
    `os` -
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.Writer os)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAscii

    public void writeAscii(java.io.OutputStream os)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### toChar

    public char[] toChar()

### saveElement

    protected void saveElement(InternalEObject o,
                               EStructuralFeature f)

### saveElement

    protected void saveElement(EObject o,
                               EStructuralFeature f)

### saveTypeAttribute

    protected void saveTypeAttribute(EClass eClass)

### saveTypeAttribute

    protected void saveTypeAttribute(EDataType eDataType)

### shouldSaveFeature

    protected boolean shouldSaveFeature(EObject o,
                                        EStructuralFeature f)

### saveFeatures

    protected boolean saveFeatures(EObject o)

### endSaveFeatures

    protected void endSaveFeatures(EObject o,
                                   int elementType,
                                   java.lang.String content)

### processElementExtensions

    protected boolean processElementExtensions(EObject object)

  Returns true if there were extensions for the specified object.

### processAttributeExtensions

    protected void processAttributeExtensions(EObject object)

### saveDataTypeSingle

    protected void saveDataTypeSingle(EObject o,
                                      EStructuralFeature f)

### isNil

    protected boolean isNil(EObject o,
                            EStructuralFeature f)

### isEmpty

    protected boolean isEmpty(EObject o,
                              EStructuralFeature f)

### saveNil

    protected void saveNil(EObject o,
                           EStructuralFeature f)

### saveNil

    protected void saveNil(EStructuralFeature f)

### saveManyEmpty

    protected void saveManyEmpty(EObject o,
                                 EStructuralFeature f)

### saveManyEmpty

    protected void saveManyEmpty(EStructuralFeature f)

### saveDataTypeMany

    protected void saveDataTypeMany(EObject o,
                                    EStructuralFeature f)

### saveDataTypeAttributeMany

    protected void saveDataTypeAttributeMany(EObject o,
                                             EStructuralFeature f)

### saveEObjectSingle

    protected void saveEObjectSingle(EObject o,
                                     EStructuralFeature f)

### saveEObjectMany

    protected void saveEObjectMany(EObject o,
                                   EStructuralFeature f)

### saveIDRefSingle

    protected void saveIDRefSingle(EObject o,
                                   EStructuralFeature f)

### saveIDRefMany

    protected void saveIDRefMany(EObject o,
                                 EStructuralFeature f)

### saveElementReference

    protected void saveElementReference(EObject remote,
                                        EStructuralFeature f)

### saveElementReferenceSingle

    protected void saveElementReferenceSingle(EObject o,
                                              EStructuralFeature f)

### saveElementReferenceMany

    protected void saveElementReferenceMany(EObject o,
                                            EStructuralFeature f)

### getElementReferenceSingleSimple

    protected java.lang.String getElementReferenceSingleSimple(EObject o,
                                                               EStructuralFeature f)

### getElementReferenceManySimple

    protected java.lang.String getElementReferenceManySimple(EObject o,
                                                             EStructuralFeature f)

### saveElementIDRef

    protected void saveElementIDRef(EObject o,
                                    EObject target,
                                    EStructuralFeature f)

### saveElementIDRef

    protected void saveElementIDRef(EObject target,
                                    EStructuralFeature f)

### saveElementIDRefSingle

    protected void saveElementIDRefSingle(EObject o,
                                          EStructuralFeature f)

### saveElementIDRefMany

    protected void saveElementIDRefMany(EObject o,
                                        EStructuralFeature f)

### getElementIDRefSingleSimple

    protected java.lang.String getElementIDRefSingleSimple(EObject o,
                                                           EStructuralFeature f)

### getElementIDRefManySimple

    protected java.lang.String getElementIDRefManySimple(EObject o,
                                                         EStructuralFeature f)

### saveHref

    protected void saveHref(EObject remote,
                            EStructuralFeature f)

### saveHRefSingle

    protected void saveHRefSingle(EObject o,
                                  EStructuralFeature f)

### saveHRefMany

    protected void saveHRefMany(EObject o,
                                EStructuralFeature f)

### saveContainedSingle

    protected void saveContainedSingle(EObject o,
                                       EStructuralFeature f)

### saveContainedMany

    protected void saveContainedMany(EObject o,
                                     EStructuralFeature f)

### saveFeatureMapElementReference

    protected void saveFeatureMapElementReference(EObject o,
                                                  EReference f)

### saveElementFeatureMap

    protected boolean saveElementFeatureMap(EObject o,
                                            EStructuralFeature f)

### saveAttributeFeatureMap

    protected void saveAttributeFeatureMap(EObject o,
                                           EStructuralFeature f)

### sameDocSingle

    protected int sameDocSingle(EObject o,
                                EStructuralFeature f)

### sameDocMany

    protected int sameDocMany(EObject o,
                              EStructuralFeature f)

### getContent

    protected java.lang.String getContent(EObject o,
                                          EStructuralFeature[] features)

### saveDataTypeElementSingle

    protected void saveDataTypeElementSingle(EObject o,
                                             EStructuralFeature f)

### getDataTypeElementSingleSimple

    protected java.lang.String getDataTypeElementSingleSimple(EObject o,
                                                              EStructuralFeature f)

### saveElementID

    protected void saveElementID(EObject o)

### getDatatypeValue

    protected java.lang.String getDatatypeValue(java.lang.Object value,
                                                EStructuralFeature f,
                                                boolean isAttribute)

### saveElement

    protected void saveElement(EObject o,
                               java.lang.Object value,
                               EStructuralFeature f)

### convertURI

    protected java.lang.String convertURI(java.lang.String uri)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.